From 4355b079430255ac1d15cc9d8a548e5bc0607bdc Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jun 22 2017 18:23:02 +0000
Subject: [PATCH 882/1001] Add switches to the backend commands for debug output


---

diff --git a/hubs/backend/triage.py b/hubs/backend/triage.py
index b4a2c82..f59769b 100755
--- a/hubs/backend/triage.py
+++ b/hubs/backend/triage.py
@@ -21,6 +21,7 @@ handle.
 
 from __future__ import unicode_literals
 
+import argparse
 import json
 import logging
 import logging.config
@@ -98,10 +99,20 @@ def get_widgets():
     return widgets
 
 
+def parse_args(args):
+    parser = argparse.ArgumentParser(
+        description='Triage messages from the bus.')
+    parser.add_argument("-d", "--debug", action="store_true",
+                        help="debugging output level.")
+    return parser.parse_args()
+
+
 def main(args=None):
     args = args if args is not None else sys.argv
+    args = parse_args(args)
     logging.config.dictConfig(fedmsg_config['logging'])
-    logging.basicConfig()
+    log_level = logging.DEBUG if args.debug else logging.INFO
+    logging.basicConfig(level=log_level)
 
     # XXX - for flask.url_for to work
     hubs.app.app.config['SERVER_NAME'] = '0.0.0.0:5000'
@@ -122,7 +133,7 @@ def main(args=None):
         while True:
             task = inbound.wait()  # Wait forever...  timeout is optional.
             msg = json.loads(task.data)
-            log.info(
+            log.debug(
                 "(triage backlog: %r, work backlog: %r)  Working on %r %r",
                 inbound.length, outbound.length, msg['msg_id'], msg['topic'],
             )
diff --git a/hubs/backend/worker.py b/hubs/backend/worker.py
index 363025a..c3c2f35 100755
--- a/hubs/backend/worker.py
+++ b/hubs/backend/worker.py
@@ -26,6 +26,7 @@ clients with the new content produced here.
 
 from __future__ import unicode_literals
 
+import argparse
 import json
 import logging
 import logging.config
@@ -66,10 +67,19 @@ def handle_widget_cache(widget_idx, fn_name):
         session.close()
 
 
+def parse_args(args):
+    parser = argparse.ArgumentParser(description='Rebuild widget caches.')
+    parser.add_argument("-d", "--debug", action="store_true",
+                        help="debugging output level.")
+    return parser.parse_args()
+
+
 def main(args=None):
     args = args if args is not None else sys.argv
+    args = parse_args(args)
     logging.config.dictConfig(fedmsg_config['logging'])
-    logging.basicConfig()
+    log_level = logging.DEBUG if args.debug else logging.INFO
+    logging.basicConfig(level=log_level)
 
     # XXX - for flask.url_for to work
     hubs.app.app.config['SERVER_NAME'] = '0.0.0.0:5000'

